Package com.xebialabs.xlrelease.domain.events

## Class TaskMovedEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.TaskMovedEvent

- All Implemented Interfaces:
    `TaskEvent`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class TaskMovedEvent
      extends java.lang.Object
      implements TaskEvent, scala.Product, java.io.Serializable

  Event published when a task is moved withing a release. It can be moved within the same container (phase or a task group), or between containers (for example, to another phase).

  param: movedTask the task that has been moved. param: originIndex the original index of the task in the original container, 0-based. param: targetIndex the new index of the task in the new container, 0-based. param: originalTaskId the original task ID. It will be same if task is moved within container. param: originContainerId the original container ID of the task: a phase ID or a task group ID. param: targetContainerId the new container ID of the task.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskMovedEvent​(Task movedTask, int originIndex, int targetIndex, java.lang.String originalTaskId, java.lang.String originContainerId, java.lang.String targetContainerId)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskMovedEvent` | `apply​(Task movedTask, int originIndex, int targetIndex, java.lang.String originalTaskId, java.lang.String originContainerId, java.lang.String targetContainerId)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `TaskMovedEvent` | `copy​(Task movedTask, int originIndex, int targetIndex, java.lang.String originalTaskId, java.lang.String originContainerId, java.lang.String targetContainerId)` |
    `Task` | `copy$default$1()` |
    `int` | `copy$default$2()` |
    `int` | `copy$default$3()` |
    `java.lang.String` | `copy$default$4()` |
    `java.lang.String` | `copy$default$5()` |
    `java.lang.String` | `copy$default$6()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `Task` | `movedTask()` |
    `java.lang.String` | `originalTaskId()` |
    `java.lang.String` | `originContainerId()` |
    `int` | `originIndex()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `targetContainerId()` |
    `int` | `targetIndex()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String>>` | `unapply​(TaskMovedEvent x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### TaskMovedEvent

          public TaskMovedEvent​(Task movedTask,
                                int originIndex,
                                int targetIndex,
                                java.lang.String originalTaskId,
                                java.lang.String originContainerId,
                                java.lang.String targetContainerId)

  - ### Method Detail

    - #### apply

          public static TaskMovedEvent apply​(Task movedTask,
                                             int originIndex,
                                             int targetIndex,
                                             java.lang.String originalTaskId,
                                             java.lang.String originContainerId,
                                             java.lang.String targetContainerId)

    - #### unapply

          public static scala.Option<scala.Tuple6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String>> unapply​(TaskMovedEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### movedTask

          public Task movedTask()

    - #### originIndex

          public int originIndex()

    - #### targetIndex

          public int targetIndex()

    - #### originalTaskId

          public java.lang.String originalTaskId()

    - #### originContainerId

          public java.lang.String originContainerId()

    - #### targetContainerId

          public java.lang.String targetContainerId()

    - #### copy

          public TaskMovedEvent copy​(Task movedTask,
                                     int originIndex,
                                     int targetIndex,
                                     java.lang.String originalTaskId,
                                     java.lang.String originContainerId,
                                     java.lang.String targetContainerId)

    - #### copy$default$1

          public Task copy$default$1()

    - #### copy$default$2

          public int copy$default$2()

    - #### copy$default$3

          public int copy$default$3()

    - #### copy$default$4

          public java.lang.String copy$default$4()

    - #### copy$default$5

          public java.lang.String copy$default$5()

    - #### copy$default$6

          public java.lang.String copy$default$6()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`